flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Frédéric THOMAS <webdoubl...@hotmail.com>
Subject RE: Add Mavenizer functionality to Installer
Date Tue, 03 Sep 2013 11:46:01 GMT
Yep, it is what I'm saying, the qualifiers are already used by the theme and
localized artifacts, so, I guess I can't use them for 2 meanings, the FP/AIR
version and in the same time the other meaning, in your example, the
localization one.

It would do something like:

                    <dependency>
                        <groupId>com.adobe.flex</groupId>
                        <artifactId> spark</artifactId>
                        <version>4.1.0.16076</version>
                        <type>swc</type>
                        <classifier>FP11.1_AIR3.4</classifier>
                    </dependency>

And for the localized one:

                    <dependency>
                        <groupId>com.adobe.flex</groupId>
                        <artifactId> spark</artifactId>
                        <version>4.1.0.16076</version>
                        <type>swc</type>
                        <classifier>FP11.1_AIR3.4-en_US</classifier>
                    </dependency>

Which IMO doesn't work in Maven, a classifier (sorry, I was saying qualifier
before) can't be the classifier of another one.

But I can be wrong, someone can confirm ?

-Fred

-----Message d'origine-----
De : Avi Kessner [mailto:akessner@gmail.com] 
Envoyé : mardi 3 septembre 2013 13:23
À : dev@flex.apache.org
Objet : Re: Add Mavenizer functionality to Installer

Also I have

com/adobe/flex/framework/spark/4.1.0.16076/spark-4.1.0.16076-en_US.rb.swc
brought to you by the letters A, V, and I and the number 47


On Tue, Sep 3, 2013 at 2:21 PM, Avi Kessner <akessner@gmail.com> wrote:
> Are you certain about this?  In my local repository I have the following:
>
> com/adobe/flex/framework/spark/4.1.0.16248/spark-4.1.0.16248-en_US.rb.
> swc
>
> and
>
> com/adobe/flex/framework/spark/4.6.0.23201/spark-4.6.0.23201-en_US.rb.
> swc
>
> Maybe it's because I mavenzided them and then copied the directories 
> over manually?
> brought to you by the letters A, V, and I and the number 47
>
>
> On Tue, Sep 3, 2013 at 2:07 PM, Frédéric THOMAS <webdoublefx@hotmail.com>
wrote:
>> At the moment, I see one limitation: Only one <FDK_VERSION >.<BUILD_DATE>
can be uploaded to the Maven repository (remote or local).
>>
>> Example: 4.10.0.20130801 or 4.10.0-SNAPSHOT for the nightly builds
>>
>> What does it mean ?
>> If the user run the installer several times to have local system installs
of the SDK with different FP version / AIR version, that's not a problem as
today but at mavenization time, if it choose LOCAL or REMOTE, if he has a
previous version with other FP version / AIR version, this one will be
overrided.
>>
>> I can't use the Maven qualifiers to bypass that limitation because the
qualifiers are already used for some other artifacts (theme and localized
artifacts).
>>
>> Any suggestions ?
>>
>> -Fred
>>
>> -----Message d'origine-----
>> De : OmPrakash Muppirala (JIRA) [mailto:jira@apache.org] Envoyé : 
>> mardi 3 septembre 2013 01:13 À : issues@flex.apache.org Objet : 
>> [jira] [Assigned] (FLEX-33695) Add Mavenizer functionality to 
>> Installer
>>
>>
>>      [ 
>> https://issues.apache.org/jira/browse/FLEX-33695?page=com.atlassian.j
>> ira.plugin.system.issuetabpanels:all-tabpanel ]
>>
>> OmPrakash Muppirala reassigned FLEX-33695:
>> ------------------------------------------
>>
>>     Assignee: Frédéric THOMAS  (was: OmPrakash Muppirala)
>>
>> Assigning to Fred as per his request.
>>
>>> Add Mavenizer functionality to Installer
>>> ----------------------------------------
>>>
>>>                 Key: FLEX-33695
>>>                 URL: https://issues.apache.org/jira/browse/FLEX-33695
>>>             Project: Apache Flex
>>>          Issue Type: Improvement
>>>          Components: Installer
>>>            Reporter: OmPrakash Muppirala
>>>            Assignee: Frédéric THOMAS
>>>
>>
>>
>> --
>> This message is automatically generated by JIRA.
>> If you think it was sent incorrectly, please contact your JIRA 
>> administrators For more information on JIRA, see: 
>> http://www.atlassian.com/software/jira

Mime
View raw message